package com.bonus.hn.bearing.capacity.backstage.manager.service;

import com.bonus.hn.bearing.capacity.backstage.companypro.entity.TreeBean;
import com.bonus.hn.bearing.capacity.backstage.manager.entity.AnnouncementBean;
import com.bonus.hn.bearing.capacity.backstage.manager.entity.DownloadFileBean;
import com.bonus.hn.bearing.capacity.backstage.project.entity.FileBean;

import java.util.List;
/**
 * @author bonus
 */
public interface AnnouncementService {
    List<AnnouncementBean> getAnnouncementList(AnnouncementBean o);

    int addAnnouncementInfo(AnnouncementBean bean);

    int checkTitle(AnnouncementBean o);

    List<AnnouncementBean> getAnnouncementType(AnnouncementBean o);

    int delAnnouncementTypeById(AnnouncementBean bean);

    int delAnnouncementById(AnnouncementBean bean);

    AnnouncementBean getAnnouncementView(AnnouncementBean o);

    List<FileBean> getFileList(FileBean o);

    List<AnnouncementBean> getUserList(AnnouncementBean o);

    List<TreeBean> getCompanyProTree(TreeBean o);

    List<TreeBean> personTree(TreeBean o);

    int categoricalManagementOfOperations(AnnouncementBean bean);

    int insertFileDownLoadRecord(DownloadFileBean bean);
}
